Subject: bug#19614: Split packaging invocation to catch errors

From: Karl Berry <[email-masked]>
Date: Tue, 18 Jul 2023 14:51:19 -0600

tmpname=`mktemp $(distdir)/dist.XXXXXX`

I don't think we can safely assume mktemp in automake rules.

    tardir=$(distdir) && $(am__tar) > $(distdir)-$RANDOM.tar 2>$(distdir).err

That was my idea ($$ instead of $RANDOM). Certainly simple, but I agree
Nick's idea is cleaner:

    > straightforward to avoid this problem by just moving the tar generation
    > and error checking commands into a separate rule.  

Good thought, Nick.

Bogdan (or Nick or anyone), maybe you'd be up for trying to redo the
patch along those lines?  Due to other commitments, it will be some time
before I can get back to actually factoring out the code, rerunning all
the tests, fixing the inevitable bugs, repeat ... --thanks, karl.